Bug 53885 - NEW port: HPtools 3.0.8
Summary: NEW port: HPtools 3.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-28 23:30 UTC by Pedro F. Giffuni
Modified: 2003-07-28 01:14 UTC (History)
0 users

See Also:


Attachments
port-hptools.shar (4.67 KB, text/plain)
2003-06-29 01:39 UTC, Pedro F. Giffuni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2003-06-28 23:30:12 UTC
Latest version of the System RPL and saturn assembler tools for
HP 48/49 and maybe even 28 series of calculators.

Fix: ______________________________________________________________________
Yahoo! Mail: 6MB di spazio gratuito, 30MB per i tuoi allegati, l'antivirus, il filtro Anti-spam
http://it.yahoo.com/mail_it/foot/?http://it.mail.yahoo.com/
--0-809164562-1056838941=:32614
Content-Type: text/plain; name="port-hptools.shar"
Content-Description: port-hptools.shar
Content-Disposition: inline; filename="port-hptools.shar"



--0-809164562-1056838941=:32614----IhGGmVW75hKxyLRJOxUuJIc9poawZhYPFI4rYWe0ADQTTszc
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	hptools
#	hptools/Makefile
#	hptools/distinfo
#	hptools/pkg-descr
#	hptools/pkg-plist
#
echo c - hptools
mkdir -p hptools > /dev/null 2>&1
echo x - hptools/Makefile
sed 's/^X//' >hptools/Makefile << 'END-of-hptools/Makefile'
X# New ports collection makefile for:	hp48tools
X# Date created:		June 2003
X# Whom:			giffunip@asme.org
X#
X# $FreeBSD: $
X#
X
XPORTNAME=	hptools
XPORTVERSION=	3.0.8
XCATEGORIES=	devel
XMASTER_SITES=	http://www.hpcalc.org/hp48/pc/programming/
XDISTNAME=	${PORTNAME}-src-${PORTVERSION}
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	System RPL and assembly language tools for HP Calculators
X
XWRKSRC=		${WRKDIR}/Hptools/${CONFIGURE_TARGET}
X
XUSE_REINPLACE=	yes
XHAS_CONFIGURE=	yes
XCONFIGURE_SCRIPT= ../support/configure
X
XNO_CDROM=	'Commercial use is Prohibited'
X
Xpre-patch:
X	@${REINPLACE_CMD} -e 's,macintosh,__STDC__,'	\
X		${WRKDIR}/Hptools/common/envfile.c	\
X		${WRKDIR}/Hptools/rplcomp/defer.c	\
X		${WRKDIR}/Hptools/rplcomp/masd.c
Xpre-configure:
X	@(${MKDIR} ${WRKSRC})
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKDIR}/Hptools/doc/*.DOC ${DOCSDIR}
X	${INSTALL_DATA} ${WRKDIR}/Hptools/doc/*.pdf ${DOCSDIR}
X.endif
X
X.include <bsd.port.mk>
END-of-hptools/Makefile
echo x - hptools/distinfo
sed 's/^X//' >hptools/distinfo << 'END-of-hptools/distinfo'
XMD5 (hptools-src-3.0.8.tar.gz) = 925a2b3ed75fe8524ac1e6b6ca18ac8f
END-of-hptools/distinfo
echo x - hptools/pkg-descr
sed 's/^X//' >hptools/pkg-descr << 'END-of-hptools/pkg-descr'
XHP Tools 3.0.x
X
XThis is the free System RPL and assembly language (HP syntax and MASD 
X[MetaKernel] syntax) development kit.
X
Xfor more information on how to program in SystemRPL or ML check
XWWW:	http://www.hpcalc.org
X_______
XJean-Yves (jean-yves.avenard@hydrix.com)
END-of-hptools/pkg-descr
echo x - hptools/pkg-plist
sed 's/^X//' >hptools/pkg-plist << 'END-of-hptools/pkg-plist'
Xbin/makerom
Xbin/rplcomp
Xbin/sasm
Xbin/sload
X%%PORTDOCS%%%%DOCSDIR%%/MAKEROM.DOC
X%%PORTDOCS%%%%DOCSDIR%%/RPLCOMP.DOC
X%%PORTDOCS%%%%DOCSDIR%%/RPLMAN.DOC
X%%PORTDOCS%%%%DOCSDIR%%/SASM.DOC
X%%PORTDOCS%%%%DOCSDIR%%/SLOAD.DOC
X%%PORTDOCS%%%%DOCSDIR%%/masd.pdf
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-hptools/pkg-plist
exit
Comment 1 Pedro F. Giffuni 2003-06-29 01:39:32 UTC
Ooops....

strip binaries, make sure we comply with the license.

______________________________________________________________________
Yahoo! Mail: 6MB di spazio gratuito, 30MB per i tuoi allegati, l'antivirus, il filtro Anti-spam
http://it.yahoo.com/mail_it/foot/?http://it.mail.yahoo.com/
Comment 2 Maho Nakata freebsd_committer 2003-07-28 01:14:38 UTC
State Changed
From-To: open->closed

New port added, thanks!